File: control

package info (click to toggle)
vlc 3.0.11-0+deb10u1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 205,344 kB
  • sloc: ansic: 433,746; cpp: 104,338; objc: 34,993; sh: 6,628; makefile: 6,430; javascript: 4,903; xml: 1,617; asm: 1,355; yacc: 640; python: 323; lex: 88; perl: 77; sed: 16
file content (491 lines) | stat: -rw-r--r-- 17,943 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
Source: vlc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Benjamin Drung <bdrung@debian.org>,
           Edward Wang <edward.c.wang@compdigitec.com>,
           Mateusz Łukasik <mati75@linuxmint.pl>,
           Sebastian Ramacher <sramacher@debian.org>
Build-Depends: autopoint,
               bison,
               debhelper (>= 12),
               gettext,
               flex,
               liba52-0.7.4-dev,
               libaa1-dev,
               libaom-dev,
               libarchive-dev (>= 3.1.0),
               libaribb24-dev,
               libasound2-dev (>= 1.0.24) [linux-any],
               libass-dev (>= 0.9.8),
               libavahi-client-dev,
               libavc1394-dev (>= 0.5.3) [linux-any],
               libavcodec-dev (>= 7:3.0),
               libavformat-dev (>= 7:3.0),
               libavresample-dev (>= 7:3.0),
               libbluray-dev (>= 1:1.0.0),
               libcaca-dev (>= 0.99.beta4),
               libcairo2-dev (>= 1.13.1),
               libcddb2-dev,
               libchromaprint-dev (>= 0.6.0),
               libcrystalhd-dev [amd64 i386],
               libdbus-1-dev (>= 1.6.0),
               libdc1394-22-dev (>= 2.1.0) [linux-any],
               libdca-dev,
               libdvbpsi-dev (>= 1.2.0),
               libdvdnav-dev (>= 4.9.0),
               libdvdread-dev (>= 4.9.0),
               libebml-dev (>= 1.3.6),
               libegl1-mesa-dev,
               libfaad-dev,
               libflac-dev (>= 1.1.2-3),
               libfluidsynth-dev (>= 1.1.2),
               libfreetype6-dev,
               libfribidi-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libgnutls28-dev (>= 3.3.6),
               libgtk-3-dev,
               libharfbuzz-dev,
               libidn11-dev,
               libiso9660-dev (>= 0.72),
               libjack-jackd2-dev | libjack-dev,
               libkate-dev (>= 0.3.0),
               liblirc-dev,
               liblivemedia-dev (>= 2011.12.23),
               liblua5.2-dev,
               libmad0-dev,
               libmatroska-dev (>= 1.0.0),
               libmpcdec-dev,
               libmpeg2-4-dev,
               libmpg123-dev,
               libmtp-dev (>= 1.0.0),
               libncursesw5-dev,
               libnfs-dev (>= 1.10.0) [linux-any],
               libnotify-dev,
               libogg-dev (>= 1.0),
               libomxil-bellagio-dev [linux-any],
               libopenmpt-modplug-dev | libmodplug-dev (>= 1:0.8.8.1),
               libopus-dev (>= 1.0.3),
               libplacebo-dev (>= 0.2.1) [linux-any],
               libpng-dev,
               libpostproc-dev (>= 7:3.0),
               libprotobuf-dev (>= 2.5.0),
               libpulse-dev (>= 1.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libraw1394-dev (>= 2.0.1) [linux-any],
               libresid-builder-dev,
               librsvg2-dev,
               libsamplerate0-dev,
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.10),
               libsecret-1-dev,
               libshine-dev (>= 3.0.0),
               libshout3-dev,
               libsidplay2-dev,
               libsmbclient-dev [!hurd-any],
               libsndio-dev,
               libsoxr-dev (>= 0.1.2),
               libspatialaudio-dev,
               libspeex-dev (>= 1.0.5),
               libspeexdsp-dev (>= 1.0.5),
               libssh2-1-dev,
               libswscale-dev (>= 7:3.0),
               libsystemd-dev [linux-any],
               libtag1-dev (>= 1.9),
               libtheora-dev (>= 1.0),
               libtwolame-dev (>= 0.3.8),
               libudev-dev [linux-any],
               libupnp-dev,
               libv4l-dev [linux-any],
               libva-dev [kfreebsd-any linux-any],
               libvcdinfo-dev (>= 0.7.22),
               libvdpau-dev,
               libvncserver-dev (>= 0.9.9),
               libvorbis-dev,
               libx11-dev,
               libx264-dev (>= 2:0.86),
               libx265-dev,
               libxcb-composite0-dev,
               libxcb-keysyms1-dev (>= 0.3.4),
               libxcb-randr0-dev (>= 1.3),
               libxcb-shm0-dev,
               libxcb-xv0-dev (>= 1.1.90.1),
               libxcb1-dev (>= 1.6),
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxpm-dev,
               libzvbi-dev (>= 0.2.28),
               lua5.2,
               oss4-dev [kfreebsd-any],
               pkg-config,
               protobuf-compiler,
               python3:native,
               qtbase5-dev (>= 5.6),
               qtbase5-private-dev (>= 5.6),
               wayland-protocols [linux-any],
               zlib1g-dev,
               zsh
Standards-Version: 4.3.0
Homepage: https://www.videolan.org/vlc/
Vcs-Git: https://salsa.debian.org/multimedia-team/vlc.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc
Rules-Requires-Root: no

Package: vlc
Architecture: any
Depends: vlc-bin (= ${binary:Version}),
         vlc-plugin-base (= ${binary:Version}),
         vlc-plugin-qt (= ${binary:Version}),
         vlc-plugin-video-output (= ${binary:Version}),
         ${misc:Depends}
Recommends: vlc-l10n (= ${source:Version}),
            vlc-plugin-notify (= ${binary:Version}),
            vlc-plugin-samba (= ${binary:Version}) [linux-any kfreebsd-any],
            vlc-plugin-skins2 (= ${binary:Version}),
            vlc-plugin-video-splitter (= ${binary:Version}),
            vlc-plugin-visualization (= ${binary:Version})
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added by
 installing additional plugins:
  * vlc-plugin-access-extra
  * vlc-plugin-fluidsynth
  * vlc-plugin-jack
  * vlc-plugin-notify
  * vlc-plugin-samba
  * vlc-plugin-skins2
  * vlc-plugin-svg
  * vlc-plugin-video-splitter
  * vlc-plugin-visualization

Package: libvlc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libvlc5 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libvlc
 This package contains headers and a static library required to build
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: libvlc5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libvlc-bin (= ${binary:Version})
Breaks: phonon-backend-vlc (<< 0.9.1-2~),
        phonon4qt5-backend-vlc (<< 0.9.1-2~)
Description: multimedia player and streamer library
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by applications using VLC
 features.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libvlccore9 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libvlccore
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains headers and a static library required to build plugins
 for VLC.

Package: libvlccore9
Section: libs
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libproxy-tools
Provides: ${vlc:PluginABI}
Description: base library for VLC and its modules
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by VLC modules and libvlc.

Package: libvlc-bin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tools for VLC's base library
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the vlc-cache-gen binary.

Package: vlc-bin
Architecture: any
Depends: libvlc-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: vlc-nox (<< 3.0.0-1~)
Replaces: vlc-nox (<< 3.0.0-1~)
Description: binaries from VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the VLC's binaries.

Package: vlc-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common data for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains HTTP interface files, and Lua scripts for VLC media
 player.

Package: vlc-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: vlc-data (<< 3.0.0-1~)
Replaces: vlc-data (<< 3.0.0-1~)
Description: translations for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains localisations for VLC media player.

Package: vlc-plugin-base
Architecture: any
Multi-Arch: same
Depends: vlc-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Recommends: xdg-utils
Suggests: libdvdcss2
Breaks: vlc-plugin-zvbi (<< 3.0.0-1~)
Replaces: vlc-plugin-zvbi (<< 3.0.0-1~)
Description: multimedia player and streamer (base plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains most plugins which are shipped in more specialied plugin
 packages.

Package: vlc-plugin-access-extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: multimedia player and streamer (extra access plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains additional access plugins.

Package: vlc-plugin-video-output
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Breaks: vlc-plugin-base (<< 3.0.0-1~)
Replaces: vlc-plugin-base (<< 3.0.0-1~)
Description: multimedia player and streamer (video output plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the video output plugins.

Package: vlc-plugin-video-splitter
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: multimedia player and streamer (video splitter plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the video splitter plugins.

Package: vlc-plugin-visualization
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: multimedia player and streamer (visualization plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the visualization plugins.

Package: vlc-plugin-skins2
Architecture: any
Multi-Arch: same
Depends: fonts-freefont-ttf,
         vlc-plugin-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Recommends: vlc-bin
Enhances: vlc
Breaks: vlc (<< 3.0.0-1~),
        vlc-data (<< 3.0.0-1~)
Replaces: vlc (<< 3.0.0-1~),
          vlc-data (<< 3.0.0-1~)
Description: multimedia player and streamer (Skins2 plugin)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains VLC's Skins2 interface.

Package: vlc-plugin-qt
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Recommends: vlc-bin
Breaks: vlc (<< 3.0.0-1~)
Replaces: vlc (<< 3.0.0-1~)
Description: multimedia player and streamer (Qt plugin)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains VLC's Qt interface.

Package: vlc-plugin-fluidsynth
Architecture: any
Multi-Arch: same
Depends: fluid-soundfont-gm | timgm6mb-soundfont,
         ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: FluidSynth plugin for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin adds support for playing MIDI file via the FluidSynth software
 synthesizer to the VLC media player.

Package: vlc-plugin-jack
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: JACK audio plugins for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 These plugins add support for JACK to the VLC media player. To
 activate the audio output module, use the `--aout jack' flag or
 select the `jack' audio output plugin from the preferences menu.
 For the jack input, use `vlc jack://channels=...:ports=...'

Package: vlc-plugin-notify
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: LibNotify plugin for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin adds support for libnotify track change notification to the
 VLC media player.

Package: vlc-plugin-svg
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: SVG plugin for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin allows you to render SVG graphics on top of the video. It is a text
 renderer, and must be activated through the '--text-renderer svg' option. When
 sent non-SVG data, it will convert it to SVG using a template that can be
 specified by the svg-template-file option.

Package: vlc-plugin-samba
Architecture: kfreebsd-any linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${vlc:PluginABI}
Enhances: vlc
Description: Samba plugin for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin adds support to access Samba shares from the VLC media player.

Package: vlc-plugin-zvbi
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${misc:Depends},
         vlc-plugin-base (= ${binary:Version})
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.